Debian Bug report logs - #595828
netsurf: FTBFS in squeeze: css/css.c:1524: error: 'LBRACE' undeclared (first use in this function)

version graph

Package: src:netsurf; Maintainer for src:netsurf is Vincent Sanders <vince@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 6 Sep 2010 23:12:01 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Merged with 574299

Found in version netsurf/2.1-2.1

Fixed in version netsurf/2.7-1

Done: Vincent Sanders <vince@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>:
Bug#595828; Package netsurf. (Mon, 06 Sep 2010 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian/Ubuntu NetSurf Package Team <deb@netsurf-browser.org>. (Mon, 06 Sep 2010 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: netsurf: FTBFS in squeeze: css/css.c:1524: error: 'LBRACE' undeclared (first use in this function)
Date: Tue, 7 Sep 2010 00:55:49 +0200
Package: netsurf
Version: 1.2-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100906 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in a squeeze chroot, your package failed
to build on amd64.

Relevant part:
> make[1]: Entering directory `/build/user-netsurf_1.2-1-amd64-gmsCMf/netsurf-1.2'
>  COMPILE: content/content.c
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
>  COMPILE: content/fetch.c
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
>  COMPILE: content/fetchcache.c
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
>  COMPILE: content/fetchers/fetch_curl.c
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> content/fetchers/fetch_curl.c: In function 'fetch_curl_register':
> content/fetchers/fetch_curl.c:197: warning: call to '_curl_easy_setopt_err_debug_cb' declared with attribute warning: curl_easy_setopt expects a curl_debug_callback argument for this option
> content/fetchers/fetch_curl.c:198: warning: call to '_curl_easy_setopt_err_write_callback' declared with attribute warning: curl_easy_setopt expects a curl_write_callback argument for this option
> content/fetchers/fetch_curl.c:199: warning: call to '_curl_easy_setopt_err_write_callback' declared with attribute warning: curl_easy_setopt expects a curl_write_callback argument for this option
> content/fetchers/fetch_curl.c: In function 'fetch_curl_process_headers':
> content/fetchers/fetch_curl.c:1183: warning: call to '_curl_easy_getinfo_err_long' declared with attribute warning: curl_easy_getinfo expects a pointer to long for this info
> content/fetchers/fetch_curl.c: In function 'fetch_curl_data':
> content/fetchers/fetch_curl.c:980: warning: call to '_curl_easy_getinfo_err_long' declared with attribute warning: curl_easy_getinfo expects a pointer to long for this info
> content/fetchers/fetch_curl.c: In function 'fetch_curl_done':
> content/fetchers/fetch_curl.c:778: warning: call to '_curl_easy_getinfo_err_string' declared with attribute warning: curl_easy_getinfo expects a pointer to char * for this info
> In function 'fetch_curl_set_options',
>     inlined from 'fetch_curl_initiate_fetch' at content/fetchers/fetch_curl.c:457,
>     inlined from 'fetch_curl_start' at content/fetchers/fetch_curl.c:435:
> content/fetchers/fetch_curl.c:555: warning: call to '_curl_easy_setopt_err_curl_httpost' declared with attribute warning: curl_easy_setopt expects a struct curl_httppost* argument for this option
> content/fetchers/fetch_curl.c:559: warning: call to '_curl_easy_setopt_err_postfields' declared with attribute warning: curl_easy_setopt expects a void* or char* argument for this option
> content/fetchers/fetch_curl.c:563: warning: call to '_curl_easy_setopt_err_postfields' declared with attribute warning: curl_easy_setopt expects a void* or char* argument for this option
> content/fetchers/fetch_curl.c:564: warning: call to '_curl_easy_setopt_err_curl_httpost' declared with attribute warning: curl_easy_setopt expects a struct curl_httppost* argument for this option
> content/fetchers/fetch_curl.c:572: warning: call to '_curl_easy_setopt_err_string' declared with attribute warning: curl_easy_setopt expects a string (char* or char[]) argument for this option
> content/fetchers/fetch_curl.c:581: warning: call to '_curl_easy_setopt_err_string' declared with attribute warning: curl_easy_setopt expects a string (char* or char[]) argument for this option
> content/fetchers/fetch_curl.c:608: warning: call to '_curl_easy_setopt_err_ssl_ctx_cb' declared with attribute warning: curl_easy_setopt expects a curl_ssl_ctx_callback argument for this option
> content/fetchers/fetch_curl.c:609: warning: call to '_curl_easy_setopt_err_cb_data' declared with attribute warning: curl_easy_setopt expects a private data pointer as argument for this option
> content/fetchers/fetch_curl.c:614: warning: call to '_curl_easy_setopt_err_ssl_ctx_cb' declared with attribute warning: curl_easy_setopt expects a curl_ssl_ctx_callback argument for this option
>  COMPILE: content/urldb.c
>  COMPILE: css/css.c
> css/css.c: In function 'css_parse_property_list':
> css/css.c:1524: error: 'LBRACE' undeclared (first use in this function)
> css/css.c:1524: error: (Each undeclared identifier is reported only once
> css/css.c:1524: error: for each function it appears in.)
> css/css.c:1543: error: 'RBRACE' undeclared (first use in this function)
> css/css.c: At top level:
> ./utils/hashtable.h:33: warning: inline function 'hash_string_fnv' declared but never defined
> make[1]: *** [build-Linux-gtk/css_css.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/09/06/netsurf_1.2-1_lsqueeze64.buildlog

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in squeeze before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug reassigned from package 'netsurf' to 'src:netsurf'. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:42:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions netsurf/1.2-1. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:42:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 595828: 576272 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:42:04 GMT) Full text and rfc822 format available.

Merged 574299 595828. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 14 Dec 2010 00:42:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:55 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 May 2011 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:33:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.